|    Blogger  |  随手写下  |  网络服务  |  做好每一件事  |  我的视频  |  给我留言   |

2010年6月11日星期五

让Blogger兼容IE8

X-UA-Compatible是针对ie8新加的一个设置,对于ie8之外的浏览器是不识别的,这个区别与content="IE=7"在无论页面是否包含指令,都像是使用了 Windows Internet Explorer 7的标准模式。而content="IE=EmulateIE7"模式遵循指令。对于多数网站来说,它是首选的兼容性模式。
目前IE8尚在测试版中,所以为了避免制作出的页面在IE8下面出现错误,建议直接将IE8使用IE7进行渲染。也就是直接在页面的header的meta标签中加入如下代码:

<meta http-equiv="X-UA-Compatible" content="IE=7" />

这样我们才能使得页面在IE8里面表现正常!

本文来自网络,用于学习!